Perform various operations for Symitar parameters.
Operations
searchInsTablePagedSelectFields
POST
Search InsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
QuerystringoptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
TokenstringoptionalLoading fields…
POST
/nexum/{sym}/2022.01/parameter/searchInsTablePagedSelectFieldsPOST /nexum/627/2022.01/parameter/searchInsTablePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"Query": "string",
"SelectableFields": {
"InsTableFields": {
"InsuranceTable": true,
"ShortDescription": true,
"InsuranceCode": true
}
}
}updateInsTableByID
POST
Update InsTable parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
InsTableInsuranceTableintegeroptionalLoading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/updateInsTableByIDPOST /nexum/627/2022.01/parameter/updateInsTableByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"InsTableInsuranceTable": 0,
"InsTableUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}